Bug 457453 - Display hangs due to busy loop in nv driver
Display hangs due to busy loop in nv driver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nv (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-31 14:14 EDT by Tim Waugh
Modified: 2009-12-18 01:16 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:16:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (590 bytes, text/plain)
2008-08-01 04:49 EDT, Tim Waugh
no flags Details
Xorg.0.log (33.03 KB, text/plain)
2008-08-01 04:52 EDT, Tim Waugh
no flags Details
Xorg.0.log (276.99 KB, text/plain)
2009-07-24 17:38 EDT, Tim Waugh
no flags Details
Xorg.0.log (196.29 KB, text/plain)
2009-08-17 07:08 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2008-07-31 14:14:34 EDT
Description of problem:
I just saw this happen, but don't know how to reproduce it.  I'd been dragging
some files in nautilus.

Version-Release number of selected component (if applicable):
xorg-x11-drv-nv-2.1.10-1.fc9.x86_64

How reproducible:
Don't know.

Additional info:

0x000000000561da22 in G80DispCommand (pScrn=0x1f119c0, 
    addr=<value optimized out>, data=<value optimized out>)
    at g80_display.c:189
189	        const int super = ffs((pNv->reg[0x00610024/4] >> 4) &
7);
Missing separate debuginfos, use: debuginfo-install audit.x86_64
dbus.x86_64 expat.x86_64 freetype.x86_64 glibc.x86_64 libXau.x86_64
libXdmcp.x86_64 libXfont.x86_64 libcap.x86_64 libdrm.x86_64
libfontenc.x86_64 libpciaccess.x86_64 libselinux.x86_64 mesa.x86_64
openssl.x86_64 pixman.x86_64 xorg-x11-drv-evdev.x86_64
xorg-x11-drv-keyboard.x86_64 xorg-x11-drv-mouse.x86_64 zlib.x86_64
(gdb) finish
Run till exit from #0  0x000000000561da22 in G80DispCommand
(pScrn=0x1f119c0, 
    addr=<value optimized out>, data=<value optimized out>)
    at g80_display.c:189
^C
Program received signal SIGINT, Interrupt.
0x000000000561da3d in G80DispCommand (pScrn=0x1f119c0, 
    addr=<value optimized out>, data=<value optimized out>)
    at g80_display.c:188
188	    while(pNv->reg[0x00610300/4] & 0x80000000) {
(gdb) info locals
pNv = (G80Ptr) 0x1f12c70
(gdb) p *pNv
$1 = {pPci = 0x1ef4140, reg = 0x7fb051edc000, 
  mem = 0x7fb041fdc000 <Address 0x7fb041fdc000 out of bounds>, 
  architecture = 134, RamAmountKBytes = 262144, videoRam = 261120, 
  table1 = 0x7fb0526bc000 <Address 0x7fb0526bc000 out of bounds>, 
  offscreenHeight = 32767, i2cMap = {{dac = DAC1, sor = DAC0}, {dac =
DAC0, 
      sor = DAC1}, {dac = 4294967295, sor = 4294967295}, {dac =
4294967295, 
      sor = 4294967295}, {dac = 4294967295, sor = 4294967295}, {
      dac = 4294967295, sor = 4294967295}}, lvds = {present = 0, or =
DAC0, 
    i2cPort = 0}, loadVal = 340, int10 = 0x1f12520, int10Mode = 3, 
  Options = 0x1f12890, HWCursor = 1, NoAccel = 0, AccelMethod = XAA, 
  Dither = 0, AllowDualLink = 0, xaa = 0x1f199f0, currentRop = 3, exa
= 0x0, 
  exaScreenArea = 0x0, dmaPut = 3961, dmaCurrent = 3961, dmaFree =
4197, 
  dmaMax = 8190, dmaBase = 0x7fb051ecf000, DMAKickoffCallback = 0, 
  CloseScreen = 0x479560 <DPMSClose>, 
  BlockHandler = 0x4d6010 <miSpriteBlockHandler>}
(gdb) n
191	        if(super) {
(gdb) 
188	    while(pNv->reg[0x00610300/4] & 0x80000000) {
(gdb) 
191	        if(super) {
(gdb) 
188	    while(pNv->reg[0x00610300/4] & 0x80000000) {
(gdb) 
191	        if(super) {
(gdb) 
188	    while(pNv->reg[0x00610300/4] & 0x80000000) {
Comment 1 Tim Waugh 2008-07-31 14:15:28 EDT
02:00.0 0300: 10de:042f (rev a1)
02:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 290 (rev a1)
Comment 2 Matěj Cepl 2008-07-31 18:30:22 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Thanks in advance.
Comment 3 Tim Waugh 2008-08-01 04:49:09 EDT
Created attachment 313170 [details]
xorg.conf
Comment 4 Tim Waugh 2008-08-01 04:52:35 EDT
Created attachment 313171 [details]
Xorg.0.log

Unfortunately I didn't have the presence of mind to save the log file at the
time.  Hopefully a 'normal run' log file will be sufficient.
Comment 5 Bug Zapper 2009-06-09 22:19:56 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 13:46:15 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Tim Waugh 2009-07-14 13:52:23 EDT
I just saw this again on Fedora 10.  Grr, *next* time I will remember to fetch the log file.
Comment 8 Tim Waugh 2009-07-24 17:38:07 EDT
Created attachment 355106 [details]
Xorg.0.log

Finally got it.
Comment 9 Tim Waugh 2009-08-17 07:08:45 EDT
Created attachment 357630 [details]
Xorg.0.log

Happened again:

xorg-x11-server-Xorg-1.5.3-17.fc10.x86_64
xorg-x11-drv-nv-2.1.12-6.fc10.x86_64
Comment 10 Bug Zapper 2009-11-18 05:14:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2009-12-18 01:16:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.